clear all
close all
clc
vdata = xlsread('ORZ_AEA_Data.xls',1); % US data
time=vdata(:,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%IMPORTANT INPUT (sample window)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t1=find(time==1890);
t2=find(time==2010.75);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%IMPORTANT INPUT (threshold for the unemployment rate)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
threshold= 6.5;

vdata=vdata(t1:t2,:); 
q=vdata(:,1);
ngov=vdata(:,2);
ngdp=vdata(:,3);
pgdp=vdata(:,4);
totpop=vdata(:,5);
recession=vdata(:,6);
unemp=vdata(:,7);
pdvmil=vdata(:,8);
realgdp=vdata(:,9);


for t=2:size(pdvmil,1)
pdvmily(t,1)= pdvmil(t,1)./ngdp(t-1,1);
end

lrgdp=log(realgdp./totpop);
lrgov=log(ngov./totpop./pgdp);


data=[pdvmily*100  unemp];

rrr=find(unemp>=threshold);  % Creating an indicator function with unemployment rate greater than some fixed threshold
dummy=zeros(size(unemp));
dummy(rrr)=1;


varnmz(1,:)='News (% of GDP)    ';
varnmz(2,:)='Unemployment rate  ';


figure(1)
for i=1:2
    subplot(2,1,i)
    area(q, dummy*max(data(:,i)),'FaceColor',[0.75 0.75 0.75],'EdgeColor','none')
    hold on
    area(q, dummy*min(data(:,i)),'FaceColor',[0.75 0.75 0.75],'EdgeColor','none')
    hold on
    plot(q, data(:,i), 'LineWidth', 1)
    hold on
    axis ([q(1,1), q(end,1), min(data(:,i)), max(data(:,i))])
    title(varnmz(i,:));
    
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%CANADA DATA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
clc
vdata = xlsread('ORZ_AEA_Data.xls',2); % Canadian data
time=vdata(:,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%IMPORTANT INPUT (sample window)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t1=find(time==1921);
t2=find(time==2011.75);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%IMPORTANT INPUT (threshold for the unemployment rate)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
threshold= 6.5;

vdata=vdata(t1:t2,:); %in order to start in 1900
q=vdata(:,1);
ngov=vdata(:,2);
ngdp=vdata(:,3);
pgdp=vdata(:,4);
totpop=vdata(:,5);
recession=vdata(:,6);
unemp=vdata(:,7);
pdvmil=vdata(:,8);
realgdp=vdata(:,9);


for t=2:size(pdvmil,1)
pdvmily(t,1)= pdvmil(t,1)./ngdp(t-1,1);
end

lrgdp=log(realgdp./totpop);
lrgov=log(ngov./totpop./pgdp);


data=[pdvmily*100  unemp];

rrr=find(unemp>=threshold);  % Creating an indicator function with unemployment rate greater than some fixed threshold
dummy=zeros(size(unemp));
dummy(rrr)=1;

varnmz(1,:)='News (% of GDP)    ';
varnmz(2,:)='Unemployment rate  ';


figure(2)
for i=1:2
    subplot(2,1,i)
    area(q, dummy*max(data(:,i)),'FaceColor',[0.75 0.75 0.75],'EdgeColor','none')
    hold on
    area(q, dummy*min(data(:,i)),'FaceColor',[0.75 0.75 0.75],'EdgeColor','none')
    hold on
    plot(q, data(:,i), 'LineWidth', 1)
    hold on
    axis ([q(1,1), q(end,1), min(data(:,i)), max(data(:,i))])
    title(varnmz(i,:));
end
xlabel('year');
